List Templates
curl --request GET \
--url https://api.example.com/api/v1/templatesimport requests
url = "https://api.example.com/api/v1/templates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"content": "<string>",
"variables": [
"<string>"
],
"builtin_variables": [
"<string>"
],
"custom_variables": [
"<string>"
],
"times_used": 123,
"created_at": "<string>",
"media_type": "<string>",
"media_url": "<string>",
"last_used_at": "<string>"
}
],
"pagination": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}templates
List Templates
List message templates with filtering.
GET
/
api
/
v1
/
templates
List Templates
curl --request GET \
--url https://api.example.com/api/v1/templatesimport requests
url = "https://api.example.com/api/v1/templates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"content": "<string>",
"variables": [
"<string>"
],
"builtin_variables": [
"<string>"
],
"custom_variables": [
"<string>"
],
"times_used": 123,
"created_at": "<string>",
"media_type": "<string>",
"media_url": "<string>",
"last_used_at": "<string>"
}
],
"pagination": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0